%define upstream_name    Test-Routine
%define upstream_version 0.015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A walkthrough, in code, of Test::Routine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Meta::Method)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Test::Routine is a very simple framework for writing your tests as
composable units of assertion. In other words: roles.

For a walkthrough of tests written with Test::Routine, see the
Test::Routine::Manual::Demo manpage.

Test::Routine is similar to the Test::Class manpage in some ways. These
similarities are largely superficial, but the idea of "tests bound together
in reusable units" is a useful one to understand when coming to
Test::Routine. If you are already familiar with Test::Class, it is the
differences rather than the similarities that will be more important to
understand. If you are not familiar with Test::Class, there is no need to
understand it prior to using Test::Routine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.15.0-3.mga4
+ Revision: 515261
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.15.0-2.mga3
+ Revision: 373763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 shlomif <shlomif> 0.15.0-1.mga3
+ Revision: 337335
- imported package perl-Test-Routine


* Tue Jan 01 2013 cpan2dist 0.015-1mga
- initial mageia release, generated with cpan2dist
